#### D.15.3.28 chSymm2LP

Procedure from library `chern.lib` (see chern_lib).

Usage:
  chSymm2LP(r, c); r integer, c list of polynomials

Return:
  poly

Purpose:
  computes the total Chern class of the second symmetric power of a vector bundle

Note:
  Implementation of the formula of Lascoux, the Schur polynomials are computed using the second Jacobi-Trudi formula (in terms of the Chern classes)

Example:

    LIB "chern.lib";
    ring r=0, (c(1..2)), ws(1, 2);
    list l=c(1..2);
    // the total Chern class of the second symmetric power of a vector bundle of rank 2
    print( chSymm2LP(2, l));
    ==> 1+3*c(1)+2*c(1)^2+4*c(2)+4*c(1)*c(2)

User manual for Singular version 4-0-3, 2016, generated by texi2html.